import "reflect-metadata";
import "zone.js";
import "tslib";
import App from "./app";

export default class Bootstrap
{
    private static isBooted: boolean = false;

    public static async init(): Promise<void>
    {
        if (Bootstrap.isBooted === true) {
            throw new Error("Application is already booted.");
        }
        await new App().startup();
        Bootstrap.isBooted = true;
    }
};

(async (): Promise<void> => {
    await Bootstrap.init();
})();